Bug 887244 - Review Request: perl-WWW-OrangeHRM-Client - Client for OrangeHRM
Summary: Review Request: perl-WWW-OrangeHRM-Client - Client for OrangeHRM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-14 12:48 UTC by Petr Pisar
Modified: 2013-01-12 00:17 UTC (History)
3 users (show)

Fixed In Version: perl-WWW-OrangeHRM-Client-0.1.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-03 07:27:24 UTC
Type: ---
mizdebsk: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2012-12-14 12:48:07 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-WWW-OrangeHRM-Client/perl-WWW-OrangeHRM-Client.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-WWW-OrangeHRM-Client/perl-WWW-OrangeHRM-Client-0.1.1-1.fc17.src.rpm
Description:
This module implements client for OrangeHRM information system. It has been
developed against Red Hat instance, so I cannot guarantee it works with
other instances.

Fedora Account System Username: ppisar


This package will go into Fedora ≥ 17.

Comment 1 Mikolaj Izdebski 2012-12-14 13:36:04 UTC
I am taking this review.

Comment 2 Mikolaj Izdebski 2012-12-14 13:40:47 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Reguires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (WWW-OrangeHRM-Client-v0.1.1.tar.gz)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.



Rpmlint
-------
Checking: perl-WWW-OrangeHRM-Client-0.1.1-1.fc19.src.rpm
          perl-WWW-OrangeHRM-Client-0.1.1-1.fc19.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


No blocker issues found.

APPROVED

Comment 3 Petr Pisar 2012-12-14 13:57:11 UTC
New Package SCM Request
=======================
Package Name: perl-WWW-OrangeHRM-Client
Short Description: Client for OrangeHRM
Owners: ppisar jplesnik psabata
Branches: f17 f18
InitialCC: perl-sig

Comment 4 Gwyn Ciesla 2012-12-14 13:59:02 UTC
Git done (by process-git-requests).

Comment 5 Petr Pisar 2012-12-14 14:23:49 UTC
Thank you for the review and the repository.

Comment 6 Fedora Update System 2012-12-14 14:26:25 UTC
perl-WWW-OrangeHRM-Client-0.1.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-WWW-OrangeHRM-Client-0.1.1-1.fc18

Comment 7 Fedora Update System 2012-12-14 14:26:51 UTC
perl-WWW-OrangeHRM-Client-0.1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-WWW-OrangeHRM-Client-0.1.1-1.fc17

Comment 8 Fedora Update System 2012-12-14 23:19:02 UTC
perl-WWW-OrangeHRM-Client-0.1.1-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 9 Fedora Update System 2013-01-03 07:27:26 UTC
perl-WWW-OrangeHRM-Client-0.1.1-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 10 Fedora Update System 2013-01-12 00:17:16 UTC
perl-WWW-OrangeHRM-Client-0.1.1-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.